@import url(https://fonts.bunny.net/css?family=noto-sans:100,100i,300,300i,500,500i,700&display=swap);

:root {
  --white: #fff;
  --paper: #F7F7F7;
  --ink: #111;
  --burntCharcoal: #2333;
  --smoke: #8C8C8C;
  --charcoal: #3D3D3D;
  --deepLuxuryBlue: #1C465E;
  --luxuryBlue: #638A9D;
  --skyBlue: #A3C2C5;
  --earth: #9FAAA4;
  --sunBurst: #F0E5B8;
  --plushRuby: #C46570;
  --pinkSheen: #F0AFB0;
}

body { font-family: 'Noto Sans', sans-serif; color: var(--charcoal); background: var(--paper); font-size: 100%; line-height: 1.5em; padding: 0; margin: 0; }

h1, h2, h3 { font-weight: 500; color: var(--deepLuxuryBlue); }
h1 { font-size: 2.25em; line-height: 1.2em; margin: 0 0 0.5em; }
h2 { font-size: 1.875em; line-height: 1.3em; }
h3 { font-size: 1.5em; margin: 0 0 1em; }
h4, .product .block h2 { font-size: 1em; font-weight: 700; color: var(--deepLuxuryBlue); margin: 0 0 1em; }
p, ul, ol, address, nav a { font-size: 1em; line-height: 1.6em; font-weight: 300; }
p, ul, ol { margin: 0 0 1.5em 0; }
ul, ol { line-height: 2em; padding: 0 0 0 1.2em; }

p.address { margin-top: 1.5em; line-height: 1.8em; }
p.address span:first-child { font-weight: 500; }

.visually_hidden, .visually-hidden { display: none; }

header, footer, .hero, .intro, .seasons, .ingredients, .steps, form, .policy, .product, .location { padding: 3em 10vw; }
header { padding-top: 2.25em; padding-bottom: 2.25em; display: flex; justify-content: space-between; align-items: center; border-bottom: 1px solid var(--earth); }
footer { border-top: 1px solid var(--earth); display: flex; justify-content: space-between; }
main { padding-left: 0; padding-right: 0; padding-top: 0; }
.hero { padding-top: 0; padding-bottom: 0; }


nav a, .navigation div { padding: 0.5em 1em; display: inline-block; }
nav a:first-of-type { padding-left: 0; }
nav a:last-of-type { padding-right: 0; }
footer nav a { color: var(--charcoal); }
footer nav a:hover { text-decoration: none; }
footer p { margin: 0.5em 0; font-weight: 500; }
footer p.address { font-weight: 300; }

footer:has(#block-blessedseasons-storelocation) { flex-wrap: wrap; }
footer:has(#block-blessedseasons-storelocation) #block-blessedseasons-copyright { flex-basis: 100%; margin-top: 3em; }

.flex { display: flex; gap: 2.5em; }
.wrap { flex-wrap: wrap; }
.between { justify-content: space-between; }
.center { justify-content: center; }
.centerAlign { align-items: center; }

.halves div { flex-basis: 50%; }
.quarters div { flex-basis: 25%; }

ul.links { padding: 0; margin: 0; list-style-type: none; font-weight: 500; }

.products figure, .flex .product figure { aspect-ratio: 1; }
.products p { font-weight: 500; margin: 1.5em 0 0 0; }
.products a { color: var(--deepLuxuryBlue); }
.grid { display: grid; grid-template-columns: repeat(auto-fit, minmax(min(250px, 100%), 1fr)); grid-auto-rows: minmax(250px, auto); /* Adjust height as needed */ gap: 3em 1.5em; padding: 3em 10vw; }
.products .promoted:first-of-type { grid-column: span 2; grid-row: span 2; }
.promoted:first-of-type figure { aspect-ratio: 1 / 1.134;}

.products.flex { gap: 4em 2.5em; padding: 3em 0; display: flex; }
.products.thirds div { flex-basis: 30%; }
.products.quarters div { flex-basis: 22%; }

.views-element-container:has(h2) .listings { padding-top: 0; }

.seasons { margin: 3em 0 6em 0; }
.seasons figure { padding: 0 3em; position: relative; }
.seasons figure::before { content: " "; position: absolute; height: 90%; aspect-ratio: 1; border-radius: 50%; background: var(--sunBurst); left: 50%; top: 5%; transform: translateX(-50%); z-index: -1; }
.seasons h3 { text-align: center; margin-top: 1.5em; }

figure { padding: 0; margin: 0; }
figure img { display: block; width: 100%; height: auto; }

.block { margin: 3em 0; padding: 0 10vw; }
.flex .block, .flex form { padding: 0; }
.block form { margin-top: 5em; }
.block.contact-form { margin: 0; }
header .block, footer .block, .content.block, .content.block .block { padding: 0; }
header .block, footer .block { margin: 0; }

.fullWidth.block { padding: 0; }
.fullWidth.flex { gap: 0; }

.fullWidth h2, .fullWidth p { text-align: center; padding: 0 10vw; }
.fullWidth.flex figure, .fullWidth.flex div { flex-basis: 50%; }
.fullWidth.flex div { padding-right: 10vw; box-sizing: border-box; }
.fullWidth.flex div h2, .fullWidth.flex div p { padding-left: 1.875rem; text-align: left; }
.fullWidth.flex div h2 { border-bottom: 1px solid var(--earth); padding-bottom: 0.5em; }

.product figure, .listings figure { border-radius: 4px; overflow: hidden; border: 1px solid var(--earth); box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25); }
.product>div { flex-basis: 50%; }
h1 div { display: inline; }
.product form, .product .block { padding: 0; }

#block-deliveryandreturnspolicy p { margin: 0 0 0.25em 0; }
.payment.flex { gap: 1em; }
.payment.flex h4 { flex-basis: 100%; margin: 0; }
.payment.flex div { flex-basis: 8%; }
.payment figure { box-shadow: none; border: none; }

.flex .leaflet-container { flex-basis: 70%; }
.flex .leaflet-container + div { flex-basis: 30%; }

.leaflet-container { border-radius: 4px; overflow: hidden; border: 1px solid var(--earth); }

.recipe .flex { gap: 1em; }
.flex .product, .recipe .flex .product { padding: 0; flex-basis: 18%; flex-grow: 0; }

.content .hero { margin-top: 3em; }
.hero, .ingredients { gap: 0; border-bottom: 1px solid var(--skyBlue); padding-bottom: 3em; }
.hero div { flex-basis: 50%; }
.hero figure { flex-basis: 50%; }
.recipe h1, .hero h1, .listings h2 { border-bottom: 1px solid var(--skyBlue); padding-bottom: 0.4em; }
.hero h1, .hero p { padding-right: 2.5rem; }

.recipe .intro { gap: 0; }
.recipe .intro figure, .recipe .intro div { flex-basis: 50%; }
.recipe .intro div div.flex { padding-left: 2.5em; }
.recipe .intro h1, .recipe .intro p, .recipe .intro h4 { padding-left: 2.5rem; }
.recipe .intro h1 {margin-top: 1em; }
.recipe .intro .product p { padding: 0; margin: 0; }

.field_cooking_time, .field_serves { font-weight: 700; color: var(--deepLuxuryBlue); margin: 0.75em 0 0 2.5em; background: url('../static/clock.svg') left center no-repeat; }
.field_serves { background: url('../static/people.svg') left center no-repeat; }
.recipe .intro p.field_cooking_time, .recipe .intro p.field_serves { padding-left: 2em; }
.summary .field_cooking_time, .summary .field_serves { margin: 0; padding-left: 2em; }

.ingredients ul { columns: 2; }
.summary .ingredients { padding: 0; border: none; }
.summary .ingredients ul { columns: 1; }
.summary .ingredients ul li:last-of-type {display: none; }

.recipe.summary { margin-bottom: 3em; }
.recipe.summary figure, .recipe.summary>div { flex-basis: 50%; }
.recipe.summary figure {overflow: hidden; }
.recipe.summary figure img { border-radius: 4px; object-fit: cover; }

.steps { counter-reset: step; }
.cooking-step { position: relative; padding-left: 8em; margin: 2.25em 0; }
.cooking-step::before { counter-increment: step; content: counter(step); position: absolute; left: 0; top: 0; font-size: 1.5em; height: 4em; display: grid; place-items: center;  aspect-ratio: 1; border-radius: 50%; background: var(--earth); color: var(--white); }
.cooking-step::after { content: " "; display: block; width: 80%; height: 1px; background: var(--skyBlue); margin: 2.25em auto 0 auto; }
div.cooking-step:last-of-type::after { display: none; }

label { display: block; }
label, input, textarea { font-size: 1em; padding: 0; width: 100%; }
input, textarea { background: var(--white); padding: 1.2em 0.8em; margin: 0.5em 0 3.2em; box-sizing: border-box; border: 1px solid var(--smoke); border-radius: 4px; }
input:focus, input:focus-visible, input:focus-within, textarea:focus, textarea:focus-visible, textarea:focus-within { border: 1px solid var(--skyBlue); outline: var(--skyBlue) auto 1px; }
textarea { margin-bottom: 1.65em; }

input[type="submit"] { border: none; background: var(--deepLuxuryBlue); color: var(--sunBurst); font-weight: 700; width: fit-content; padding-left: 2em; padding-right: 2em; margin: 0; }
input[type="submit"]:hover, .commerce-order-item-add-to-cart-form fieldset div.form-item:has(input:checked) label:hover { background: var(--luxuryBlue);}

.form-actions { display: flex; justify-content: flex-end; }

/* .commerce-order-item-add-to-cart-form input[type="number"] { width: 70%; } */
.commerce-order-item-add-to-cart-form {display: flex; flex-wrap: wrap; }
.commerce-order-item-add-to-cart-form .field--widget-commerce-product-variation-attributes, .commerce-order-item-add-to-cart-form p.stock-display {flex-basis: 100%; }
.commerce-order-item-add-to-cart-form>div:has(input[type="number"]) { flex-basis: 15%; }
.commerce-order-item-add-to-cart-form input[type="number"] { border-radius: 4px 0 0 4px; margin-bottom: 0; }
.commerce-order-item-add-to-cart-form .form-actions { display: block; flex-basis: 85%; margin-top: 2em; }
.commerce-order-item-add-to-cart-form input[type="submit"] { width: 100%; border-radius: 0 4px 4px 0; border: 1px solid var(--deepLuxuryBlue); }
.commerce-order-item-add-to-cart-form input[type="submit"]:hover { border: 1px solid var(--luxuryBlue); }

.commerce-order-item-add-to-cart-form fieldset { border: none; padding: 0; }
.commerce-order-item-add-to-cart-form legend { display: none; }
.commerce-order-item-add-to-cart-form fieldset div div { display: flex; width: 100%; gap: 1em; }
.commerce-order-item-add-to-cart-form fieldset div.form-item { flex-basis: 18%; }
.commerce-order-item-add-to-cart-form fieldset label { cursor: pointer; box-sizing: border-box; border-radius: 4px; padding: 0.75em; text-align: center; color: var(--deepLuxuryBlue); display: block; border: 1px solid var(--deepLuxuryBlue); }
.commerce-order-item-add-to-cart-form fieldset label:hover, .commerce-order-item-add-to-cart-form fieldset div.form-item:has(input:checked) label { background: var(--deepLuxuryBlue); color: var(--sunBurst); }

.commerce-order-item-add-to-cart-form fieldset input { appearance: none; opacity: 0; position: absolute; left: -9999px; }

p.stock-display { margin: 2.25em 0 1.5em 0; font-weight: 700; }
.stock-high { color: var(--deepLuxuryBlue); }
.stock-low, .stock-out { color: var(--plushRuby); }

footer #block-blessedseasons-storelocation { max-width: 400px; flex-basis: 400px; }

@media screen and (max-width: 1240px) {
  .hero div, .flex .leaflet-container { flex-basis: 65%; }
  .hero figure, .flex .leaflet-container + div { flex-basis: 35% ;}


  header, footer, .hero, .intro, .seasons, .ingredients, .steps, form, .policy { padding-left: 7vw; padding-right: 7vw; }
  .fullWidth h2, .fullWidth p { padding: 0 7vw; }
  .fullWidth.flex div { padding-right: 7vw; }
  .block { padding: 0 7vw; }
}

@media screen and (max-width: 1135px) {
  footer { flex-direction: column; }
  footer nav { margin: 3em 0; display: flex; justify-content: center; }
}

@media screen and (max-width: 1090px) {
  .seasons { flex-wrap: wrap; justify-content: space-between; }
  .quarters div { flex-basis: 45%; }
  .seasons figure { padding: 0 8em; }

  .flex .leaflet-container { flex-basis: 60%; }
  .flex .leaflet-container + div { flex-basis: 40% ;}

  .fullWidth.flex figure { flex-basis: 40%;  overflow: hidden; }
  .fullWidth.flex div { flex-basis: 60%; }
  .fullWidth.flex figure img { height: 100%; width: auto; }

  .contact-form form { padding: 0; }
}

@media screen and (max-width: 930px) {
  .products.thirds div, .products.quarters div { flex-basis: 47%; }
}

@media screen and (max-width: 900px) {
  .hero.flex { flex-direction: column-reverse; padding-left: 0; padding-right: 0; }
  .hero figure { margin-bottom: 2.25em; }
  .hero figure img { border-radius: 0; }
  .content .hero {margin-top: 0; }
  .content .hero div { padding: 0 7vw; }

  .fullWidth.flex figure { flex-basis: 40%;  overflow: hidden; }
  .fullWidth.flex div { flex-basis: 60%; }
}

@media screen and (max-width: 830px) {
  .seasons figure { padding: 0 4em; }
}

@media screen and (max-width: 780px) {
  .flex:has(.leaflet-container) { display: block; }
  .products.thirds div, .products.quarters div { flex-basis: 45%; }
}

@media screen and (max-width: 710px) {
  .fullWidth.flex, .recipe.summary  { flex-direction: column; }
  .fullWidth.flex figure { flex-basis: 100%; }
  .fullWidth.flex figure img, .recipe.summary figure img { width: 100%; height: auto; }
  .fullWidth.flex div { padding: 0; }
  .fullWidth.flex div h2, .fullWidth.flex div p { padding-left: 7vw; padding-right: 7vw; }

  .recipe.summary figure, .recipe.summary>div { flex-basis: 100%; }
}

@media screen and (max-width: 660px) {
  .grid { display: grid; grid-template-columns: repeat(auto-fit, minmax(min(40%, 100%), 1fr)); grid-auto-rows: minmax(200px, auto);}
  .promoted:first-of-type figure { aspect-ratio: 1;}
}

@media screen and (max-width: 650px) {
  footer nav { flex-direction: column; }
  footer nav a { padding-left: 0; }
}

@media screen and (max-width: 540px) {
  .quarters div { flex-basis: 100%; }
  .seasons figure { padding: 0 6em; }
}
@media screen and (max-width: 500px) {
  .grid { display: flex; flex-direction: column; }
  .products.thirds div, .products.quarters div { flex-basis: 100%; }
}